DefaultConnectionProperties (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.jms.client

## Class DefaultConnectionProperties

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.DefaultConnectionProperties

-     public class DefaultConnectionProperties
      extends Object

  This class will provide default properties for constructors

  Name | Default Value
  AMQ_HOST or org.apache.activemq.AMQ_HOST | localhost
  AMQ_PORT or org.apache.activemq.AMQ_PORT | 61616
  BROKER_BIND_URL or org.apache.activemq.BROKER_BIND_URL | tcp://${AMQ_HOST}:${AMQ_PORT}
  AMQ_USER or org.apache.activemq.AMQ_USER | null
  AMQ_PASSWORD or org.apache.activemq.AMQ_PASSWORD | null

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_BROKER_BIND_URL`
    `static String` | `DEFAULT_BROKER_HOST`
    `static int` | `DEFAULT_BROKER_PORT`
    `static String` | `DEFAULT_BROKER_URL`
    `static String` | `DEFAULT_PASSWORD`
    `static String` | `DEFAULT_USER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultConnectionProperties()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_BROKER_HOST

          public static final String DEFAULT_BROKER_HOST

    - #### DEFAULT_BROKER_PORT

          public static final int DEFAULT_BROKER_PORT

    - #### DEFAULT_BROKER_BIND_URL

          public static final String DEFAULT_BROKER_BIND_URL

    - #### DEFAULT_BROKER_URL

          public static final String DEFAULT_BROKER_URL

    - #### DEFAULT_USER

          public static final String DEFAULT_USER

    - #### DEFAULT_PASSWORD

          public static final String DEFAULT_PASSWORD

  - ### Constructor Detail

    - #### DefaultConnectionProperties

          public DefaultConnectionProperties()

Copyright © 2015. All rights reserved.